Highlighted

Where is "MySQL Connection dialog box in Dreamweaver"

Community Beginner ,
Feb 20, 2017

Copy link to clipboard

Copied

Could someone give me a clue please? You'd think when the instructions say to open this, there would be some documentation somewhere on how to do so. I've searched the menus and help and the forum to no avail.

Adobe Community Professional
Correct answer by BenPleysier | Adobe Community Professional

To answer your original question, see https://www.dmxzone.com/go/21842/enable-server-behaviors-and-data-bindings-panel-support-for-dreamweaver-cc/ to download and install an extension.

Please take not of what is stated, namely

We would like to remind you that Server Behaviors have been deprecated for quite some time and for a very good reason. They use an outdated connection method that's been deprecated in the current release of PHP and very soon will be removed completely, which means that your websites will no longer work.

Precisely what this means is that the extension (Server Behaviours Panel) will not work with the latest version of PHP. This is presumably the same version that you're using. That is why I asked if you wanted to code for the past, i.e. PHP 5.

To advance from here, you either need to code by hand or you need to install a different extension such as

To learn about coding by hand see PHP CRUD Tutorial (part 1)

TOPICS
Learn Dreamweaver

Views

1.8K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Where is "MySQL Connection dialog box in Dreamweaver"

Community Beginner ,
Feb 20, 2017

Copy link to clipboard

Copied

Could someone give me a clue please? You'd think when the instructions say to open this, there would be some documentation somewhere on how to do so. I've searched the menus and help and the forum to no avail.

Adobe Community Professional
Correct answer by BenPleysier | Adobe Community Professional

To answer your original question, see https://www.dmxzone.com/go/21842/enable-server-behaviors-and-data-bindings-panel-support-for-dreamweaver-cc/ to download and install an extension.

Please take not of what is stated, namely

We would like to remind you that Server Behaviors have been deprecated for quite some time and for a very good reason. They use an outdated connection method that's been deprecated in the current release of PHP and very soon will be removed completely, which means that your websites will no longer work.

Precisely what this means is that the extension (Server Behaviours Panel) will not work with the latest version of PHP. This is presumably the same version that you're using. That is why I asked if you wanted to code for the past, i.e. PHP 5.

To advance from here, you either need to code by hand or you need to install a different extension such as

To learn about coding by hand see PHP CRUD Tutorial (part 1)

TOPICS
Learn Dreamweaver

Views

1.8K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Feb 20, 2017 0
Adobe Community Professional ,
Feb 20, 2017

Copy link to clipboard

Copied

Could you please elaborate so that we can answer according to your circumstance.

  • the version of Drteamwevare
  • the origin of the instructions that say open this
  • the version of PHP
  • whether you want to code for the present or for the past
  • anything else that may be relevant

Ben

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Feb 20, 2017 0
Community Beginner ,
Feb 20, 2017

Copy link to clipboard

Copied

I'm running the latest version of everything, Dreamweaver is CC 2017, My server host is RHEL 7.3 and PHP is the latest version available through "yum update". Likewise everything else.

I have no idea what coding for the past means, I need a MySQL database on the backend of a web server and found this link to setup the connection:

How to connect to a MySQL database in Dreamweaver

At the bottom of the page it tells you open this dialog with no instructions on where to find it.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Feb 20, 2017 0
Adobe Community Professional ,
Feb 20, 2017

Copy link to clipboard

Copied

To answer your original question, see https://www.dmxzone.com/go/21842/enable-server-behaviors-and-data-bindings-panel-support-for-dreamwe... to download and install an extension.

Please take not of what is stated, namely

We would like to remind you that Server Behaviors have been deprecated for quite some time and for a very good reason. They use an outdated connection method that's been deprecated in the current release of PHP and very soon will be removed completely, which means that your websites will no longer work.

Precisely what this means is that the extension (Server Behaviours Panel) will not work with the latest version of PHP. This is presumably the same version that you're using. That is why I asked if you wanted to code for the past, i.e. PHP 5.

To advance from here, you either need to code by hand or you need to install a different extension such as

To learn about coding by hand see PHP CRUD Tutorial (part 1)


Ben

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Feb 20, 2017 0
Community Beginner ,
Feb 20, 2017

Copy link to clipboard

Copied

Great, I wasted a couple hours trying to figure out what I was doing wrong only to discover the process on Adobe's webpage is obsolete misinformation?

Thanks for the pointers, I just wish Adobe would cull the old crap from its help site. Very unhelpful.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Feb 20, 2017 1
Adobe Community Professional ,
Feb 21, 2017

Copy link to clipboard

Copied

frontrange80921  wrote

I just wish Adobe would cull the old crap from its help site. Very unhelpful.

I can't argue with that.  The outdated Help docs need updating.  That particular article is only useful to legacy Creative Suite users who have a server running older PHP 5x.  A disclaimer needs to be added to the top for current product users.

Nancy

Nancy O'Shea, ACP
Alt-Web Design & Publishing

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Feb 21, 2017 0
New Here ,
Mar 24, 2018

Copy link to clipboard

Copied

I agree whole-heartedly! this new dreamweaver sucks bad. usually an upgrade provides more functionality with a simpler design, but Adobe is the only software company that removes features and functions and changes the background color and calls it an upgrade charging more for it. Luckily I have CS6 on my computer, because it still has all of its capabilities.

I was getting so frustrated looking for the database connection panel, then I go to support and they tell me how simple it is, "you just have to setup and define your parameters in the MySQL dialog...the problem with that is the MySQL dialog was left in india with all the other features that were removed or subcontracted out to whoever. I've been trying this new version of dreamweaver for 8 months and haven't been able to make a single website with it, because I have to revert to CS6 because of time constraints. Tonight, I gave it a shot, and it says I need to make a database connection, so i click ok, and t sends me to DMX Server Ext, but that tells me it doesn't even work with DW CC, so my questions is, Why would anyone install Dreamweaver CC, if they plan to do any kind of web design, Bootstrap 4 is more capable than this p.o.s. program

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 24, 2018 0
Adobe Community Professional ,
Mar 25, 2018

Copy link to clipboard

Copied

As of the 1st January 2019 (less than 9 months away), PHP 5.6 will have reached its end of life. This also means the end of MySQL and the deprecated Dreamweaver Server Behaviours (SB) panel.

If you persist in using CS6 with the SB panels, you will be risking the future of your websites as well as ill-serving your clients.


Ben

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 25, 2018 2
xjoffa LATEST
New Here ,
Jan 03, 2020

Copy link to clipboard

Copied

Can you point us at a tutorial describing the correct way to use PHP in a dynamic website

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 03, 2020 0